## kmahjongg 25.12.1+p24.04+vstable+git20260131.0343

=== debian/changelog ===
kmahjongg (4:25.12.1+p24.04+vstable+git20260131.0343-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:43:16 +0000
