## kmahjongg 25.12.2+p24.04+vunstable+git20260207.0106

=== debian/changelog ===
kmahjongg (4:25.12.2+p24.04+vunstable+git20260207.0106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 01:06:14 +0000

kmahjongg (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 05:51:20 +0000
